/*
Theme Name: EgneValg2026Theme
Theme URI: 
Author: Espen Moe-Nilssen
Author URI: 
Description: 
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: egnevalg2026theme
Tags: 
*/
  
/* Remove full-screen white overlay  #f9f9f9; */

.wp-block-navigation__responsive-container {
    background: transparent !important;   
    padding-top: 4.1rem !important;  
    border-bottom: 1px solid #ddd; 
    margin-left: -2rem !important;
    margin-right: -2rem !important;
    width: calc(100vw + 4rem) !important;
 
}

 
.wp-block-navigation__responsive-container ul  { 
    width: 100%;
    padding-top: 10px !important;
    border-top: 1px solid silver ; 
}


.wp-block-navigation__responsive-container li {
    border-bottom: 1px solid silver ; 
    width: 100%;
    padding-bottom: 7px !important;
 
}

.wp-block-navigation__container.has-background.has-accent-4-background-color.wp-block-navigation {
    background:  #f9f9f9 !important;
}




.logorow {
    min-width: 400px; 
}

.wp-block-navigation__responsive-container-close {
    margin-right: 1rem;
}


@media (max-width: 768px) {

    .hideonmobile { display: none !important}

    .logorow {
        min-width: 100px; 
    }
    

    .logorow figure {
        display: none;
    }

    .logorow {
        margin-right: auto;
    }

    .wp-block-navigation__responsive-container {
        padding-top: 3rem !important;
    }

}

.two-col-responsive {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
  }
  
  /* Tablet and Mobile */
  @media (max-width: 1024px) {
    .two-col-responsive {
      grid-template-columns: 1fr;
    }
  }